<?
$set['title']='Фотоальбомы'; // заголовок страницы
include_once '../sys/inc/thead.php';
title();
err();
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery`"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
?>
<div class='noy'>Нет фотоальбомов</div>
<?
}

$q=mysql_query("SELECT * FROM `gallery` ORDER BY `time` DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
$ank=get_user($post['id_user']);
echo "<a href='/foto/$ank[id]/$post[id]/'>";
if($num==1){
echo "<div class='enk_div'>\n";
$num=0;
}else{
echo "<div class='enk2_div'>\n";
$num=1;}
$foto = mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery_foto` WHERE `id_gallery` = '$post[id]' ORDER BY RAND()"));
if ($foto==null){
echo "<img src='/foto/foto48/0.png' alt='Нет фото' />";
}else{
echo "<img src='/foto/foto48/$foto[id].$foto[ras]' alt='Фото_$foto[id]' />";
}
echo "<br />\n";
echo "<img src='/style/images/ic_m26.gif' alt='enk_'> $post[name] (".mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_foto` WHERE `id_gallery` = '$post[id]'"),0)." фото)<br />\n";
echo "<img src='/style/images/k.gif' alt='ENK'>\n";
if ($post['opis']==null)
echo "Без описания<br />\n";
else 
echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['opis']))))))))."<br />\n";
echo "<img src='/style/images/time.png' alt='ENK'> Создан: ".vremja($post['time_create'])."<br />\n";
echo "<img src='/style/images/user--plus.png' alt='_._'> Автор: <a href='/info.php?id=$ank[id]'><span style='color:$ank[ncolor]'>$ank[nick]</span></a><br />\n";
echo "</div></a>\n";
}

if ($k_page>1)str('?',$k_page,$page); // Вывод страниц

if (isset($user))
{
echo "<div class='fyt'>\n";
echo "• <a href='/foto/$user[id]/'>Мои альбомы</a><br />\n";
echo "</div>\n";
}
include_once '../sys/inc/tfoot.php';
exit;
?>